# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Mar 28 07:23:44 2023
# ------------------------------------------------

package:
  name: libgsf
  version: 1.14.50
source:
  sha256: 6e6c20d0778339069d583c0d63759d297e817ea10d0d897ebbe965f16e2e8e52
  url: https://download.gnome.org/sources/libgsf/1.14/libgsf-1.14.50.tar.xz
build:
  number: '1'
  run_exports:
    - libgsf >=1.14.50,<1.15.0a0
  string: h622765d_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - expat 2.4.9 h6a678d5_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gdbm 1.18 hd4cb3f1_4
    - gnuconfig 2021.05.24 hd3eb1b0_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - make 4.2.1 h1bed415_1
    - ncurses 6.4 h6a678d5_0
    - perl 5.34.0 h5eee18b_2
    - perl-xml-parser 2.44_01 pl5340hf309648_0
    - pkg-config 0.29.2 h1bed415_8
    - readline 8.2 h5eee18b_0
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - glib 2.69.1 he621ea3_2
    - icu 58.2 he6710b0_3
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libxml2 2.10.3 hcbfbd50_0
    - pcre 8.45 h295c915_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
  run:
    - bzip2 >=1.0.8,<2.0a0
    - glib >=2.69.1,<3.0a0
    - libgcc-ng >=11.2.0
    - libxml2 >=2.10.3,<2.11.0a0
    - pcre >=8.45,<9.0a0
    - zlib >=1.2.13,<1.2.14
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - gsf --help
    - gsf --version
about:
  description: 'The project aims to provide an efficient extensible i/o abstraction

    for dealing with different structured file formats.

    '
  dev_url: https://gitlab.gnome.org/GNOME/libgsf
  doc_url: https://gitlab.gnome.org/GNOME/libgsf
  home: https://gitlab.gnome.org/GNOME/libgsf
  license: GPL-2.0-only
  license_family: GPL
  license_file: COPYING
  summary: The G Structured File Library
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: dbdc5c5d-e615-4683-9023-663b5cb350f5
  recipe-maintainers:
    - katietz
    - sebastian-luna-valero
  remote_url: git@github.com:AnacondaRecipes/libgsf-feedstock.git
  sha: 3404c2c5e46aa839f8eedfd982c4b2d9c3b8a3fb
